export default {
    cn: {// 中文
        next: '下一页',
        prev: '上一页',
        first: '首页',
        last: '尾页',
        close_btn: '关闭 (Esc键)',
        loading: '读取中...',
        page_info: '第 page_num/page_count 页( 共 row_count 条记录 )',
        not_found: '无查询结果',
        server_error: '连接到服务器时发生错误！',
        clear: '清除内容',
        select_all: '选择当前页项目',
        unselect_all: '取消选择当前页项目',
        clear_all: '清除全部已选择项目',
        max_selected: '最多只能选择 max_selected_limit 个项目',
        placeholder: '请选择一个项目',
        items_selected: '已选择 selected_count 个项目'
    },
    en: {// English
        next: 'Next page',
        prev: 'Previous page',
        first: 'First page',
        last: 'Last page',
        close_btn: 'Close (Esc key)',
        loading: 'loading...',
        page_info: 'Page page_num/page_count ( row_count records )',
        not_found: 'not found',
        server_error: 'An error occurred while connecting to server.',
        clear: 'Clear content',
        select_all: 'Select current page',
        unselect_all: 'Clear current page',
        clear_all: 'Clear all selected',
        max_selected: 'You can only select up to max_selected_limit items',
        placeholder: 'Select an option',
        items_selected: 'selected_count items selected'
    },
    ja: {// Japanese
        next: '次へ',
        prev: '前へ',
        first: '最初のページへ',
        last: '最後のページへ',
        close_btn: '閉じる (Esc キー)',
        loading: '読み込み中...',
        page_info: 'page_num/page_count 件 ( 全 row_count つ記録 )',
        not_found: '(0 件)',
        server_error: 'サーバとの通信でエラーが発生しました。',
        clear: 'コンテンツをクリアする',
        select_all: '当ページを選びます',
        unselect_all: '移して当ページを割ります',
        clear_all: '選択した項目をクリアする',
        max_selected: '最多で max_selected_limit のプロジェクトを選ぶことしかできません',
        placeholder: 'プロジェクトを選択してください',
        items_selected: 'selected_count アイテムが選択されました'
    },
	ar: {// Arabic
		next: 'التالي',
		prev: 'السابق',
		first: 'الاول',
		last: 'الأخير',
		close_btn: 'إغلاق عند الضغط على زر (Esc)',
		loading: 'جاري التحميل ...',
		page_info: 'صفحة page_num/page_count ( row_count سجلات )',
		not_found: 'لا يوجد نتائج',
		server_error: 'لقد حدث خطأ أثناء الإتصال بالخادم.',
		clear: 'محو المحتوى',
		select_all: 'تحديد الصفحة الحالية',
		unselect_all: 'إلغاء تحديد الصفحة الحالية',
		clear_all: 'إلغاء التحديد',
		max_selected: 'يمكنك فقط تحديد (max_selected_limit) عناصر',
		placeholder: 'رجاء حدد الخيار',
		items_selected: 'تم تحديد (selected_count) عناصر'
	}
};